> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Hosted Runners

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /enterprises/{enterprise}/actions/hosted-runners`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#list-github-hosted-runners-for-an-enterprise) - List GitHub-hosted runners for an enterprise
* [`POST /enterprises/{enterprise}/actions/hosted-runners`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#create-a-github-hosted-runner-for-an-enterprise) - Create a GitHub-hosted runner for an enterprise
* [`GET /enterprises/{enterprise}/actions/hosted-runners/{hosted_runner_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-a-github-hosted-runner-for-an-enterprise) - Get a GitHub-hosted runner for an enterprise
* [`PATCH /enterprises/{enterprise}/actions/hosted-runners/{hosted_runner_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#update-a-github-hosted-runner-for-an-enterprise) - Update a GitHub-hosted runner for an enterprise
* [`DELETE /enterprises/{enterprise}/actions/hosted-runners/{hosted_runner_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#delete-a-github-hosted-runner-for-an-enterprise) - Delete a GitHub-hosted runner for an enterprise
* [`GET /enterprises/{enterprise}/actions/hosted-runners/images/custom`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#list-custom-images-for-an-enterprise) - List custom images for an enterprise
* [`GET /enterprises/{enterprise}/actions/hosted-runners/images/custom/{image_definition_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-an-enterprise-custom-image-definition-for-github-actions-hosted-runners) - Get an enterprise custom image definition for GitHub Actions Hosted Runners
* [`DELETE /enterprises/{enterprise}/actions/hosted-runners/images/custom/{image_definition_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#delete-a-custom-image-from-the-enterprise) - Delete a custom image from the enterprise
* [`GET /enterprises/{enterprise}/actions/hosted-runners/images/custom/{image_definition_id}/versions`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#list-image-versions-of-a-custom-image-for-an-enterprise) - List image versions of a custom image for an enterprise
* [`GET /enterprises/{enterprise}/actions/hosted-runners/images/custom/{image_definition_id}/versions/{version}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-an-image-version-of-an-enterprise-custom-image-for-github-actions-hosted-runners) - Get an image version of an enterprise custom image for GitHub Actions Hosted Runners
* [`DELETE /enterprises/{enterprise}/actions/hosted-runners/images/custom/{image_definition_id}/versions/{version}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#delete-an-image-version-of-custom-image-from-the-enterprise) - Delete an image version of custom image from the enterprise
* [`GET /enterprises/{enterprise}/actions/hosted-runners/images/github-owned`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-github-owned-images-for-github-hosted-runners-in-an-enterprise) - Get GitHub-owned images for GitHub-hosted runners in an enterprise
* [`GET /enterprises/{enterprise}/actions/hosted-runners/images/partner`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-partner-images-for-github-hosted-runners-in-an-enterprise) - Get partner images for GitHub-hosted runners in an enterprise
* [`GET /enterprises/{enterprise}/actions/hosted-runners/limits`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-limits-on-github-hosted-runners-for-an-enterprise) - Get limits on GitHub-hosted runners for an enterprise
* [`GET /enterprises/{enterprise}/actions/hosted-runners/machine-sizes`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-github-hosted-runners-machine-specs-for-an-enterprise) - Get GitHub-hosted runners machine specs for an enterprise
* [`GET /enterprises/{enterprise}/actions/hosted-runners/platforms`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-platforms-for-github-hosted-runners-in-an-enterprise) - Get platforms for GitHub-hosted runners in an enterprise
* [`GET /orgs/{org}/actions/hosted-runners`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#list-github-hosted-runners-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List GitHub-hosted runners for an organization
* [`POST /orgs/{org}/actions/hosted-runners`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#create-a-github-hosted-runner-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Create a GitHub-hosted runner for an organization
* [`GET /orgs/{org}/actions/hosted-runners/{hosted_runner_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-a-github-hosted-runner-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get a GitHub-hosted runner for an organization
* [`PATCH /orgs/{org}/actions/hosted-runners/{hosted_runner_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#update-a-github-hosted-runner-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Update a GitHub-hosted runner for an organization
* [`DELETE /orgs/{org}/actions/hosted-runners/{hosted_runner_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#delete-a-github-hosted-runner-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete a GitHub-hosted runner for an organization
* [`GET /orgs/{org}/actions/hosted-runners/images/custom`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#list-custom-images-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List custom images for an organization
* [`GET /orgs/{org}/actions/hosted-runners/images/custom/{image_definition_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-a-custom-image-definition-for-github-actions-hosted-runners) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get a custom image definition for GitHub Actions Hosted Runners
* [`DELETE /orgs/{org}/actions/hosted-runners/images/custom/{image_definition_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#delete-a-custom-image-from-the-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete a custom image from the organization
* [`GET /orgs/{org}/actions/hosted-runners/images/custom/{image_definition_id}/versions`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#list-image-versions-of-a-custom-image-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List image versions of a custom image for an organization
* [`GET /orgs/{org}/actions/hosted-runners/images/custom/{image_definition_id}/versions/{version}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-an-image-version-of-a-custom-image-for-github-actions-hosted-runners) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get an image version of a custom image for GitHub Actions Hosted Runners
* [`DELETE /orgs/{org}/actions/hosted-runners/images/custom/{image_definition_id}/versions/{version}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#delete-an-image-version-of-custom-image-from-the-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete an image version of custom image from the organization
* [`GET /orgs/{org}/actions/hosted-runners/images/github-owned`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-github-owned-images-for-github-hosted-runners-in-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get GitHub-owned images for GitHub-hosted runners in an organization
* [`GET /orgs/{org}/actions/hosted-runners/images/partner`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-partner-images-for-github-hosted-runners-in-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get partner images for GitHub-hosted runners in an organization
* [`GET /orgs/{org}/actions/hosted-runners/limits`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-limits-on-github-hosted-runners-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get limits on GitHub-hosted runners for an organization
* [`GET /orgs/{org}/actions/hosted-runners/machine-sizes`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-github-hosted-runners-machine-specs-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get GitHub-hosted runners machine specs for an organization
* [`GET /orgs/{org}/actions/hosted-runners/platforms`](https://docs.github.com/enterprise-cloud@latest/rest/actions/hosted-runners#get-platforms-for-github-hosted-runners-in-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get platforms for GitHub-hosted runners in an organization
